#!/bin/bash
# ===============LICENSE_START=======================================================
# Graphene Apache-2.0
# ===================================================================================
# Copyright (C) 2017-2018 AT&T Intellectual Property & Tech Mahindra. All rights reserved.
# ===================================================================================
# This Graphene software file is distributed by AT&T and Tech Mahindra
# under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# This file is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ===============LICENSE_END=========================================================
#
# What this is: Script to set environment file for mariadb installation.
# Prerequisites:
# - Ubuntu Xenial or Centos 7 server
# Usage:
# - Intended to be called from oneclick_deploy.sh and other scripts in this repo
#

if [[ -e mariadb_env.sh ]]; then source mariadb_env.sh; fi

export GRAPHENE_MARIADB_NAMESPACE="${GRAPHENE_MARIADB_NAMESPACE:-graphene}"
export GRAPHENE_MARIADB_DOMAIN="${GRAPHENE_MARIADB_DOMAIN:-$GRAPHENE_DOMAIN}"
export GRAPHENE_INTERNAL_MARIADB_HOST="$GRAPHENE_MARIADB_NAMESPACE-mariadb.$GRAPHENE_MARIADB_NAMESPACE.svc.cluster.local"
export GRAPHENE_MARIADB_HOST="${GRAPHENE_MARIADB_HOST:-$GRAPHENE_INTERNAL_MARIADB_HOST}"
if [[ "$GRAPHENE_MARIADB_HOST" == "$GRAPHENE_INTERNAL_MARIADB_HOST" ]]; then
  GRAPHENE_MARIADB_HOST_IP=$GRAPHENE_HOST_IP
elif [[ "$GRAPHENE_MARIADB_HOST_IP" == "" ]]; then
  get_host_ip $GRAPHENE_MARIADB_HOST
  GRAPHENE_MARIADB_HOST_IP=$HOST_IP
fi
export MARIADB_MIRROR="${MARIADB_MIRROR:-sfo1.mirrors.digitalocean.com}"
export GRAPHENE_MARIADB_VERSION="${GRAPHENE_MARIADB_VERSION:-10.2}"
export GRAPHENE_MARIADB_ADMIN_HOST="${GRAPHENE_MARIADB_ADMIN_HOST:-$GRAPHENE_HOST_IP}"
export GRAPHENE_MARIADB_ROOT_ACCESS="${GRAPHENE_MARIADB_ROOT_ACCESS:-true}"
export GRAPHENE_MARIADB_PASSWORD="${GRAPHENE_MARIADB_PASSWORD:-$(uuidgen)}"
export GRAPHENE_MARIADB_USER="${GRAPHENE_MARIADB_USER:-graphene_opr}"
export GRAPHENE_MARIADB_USER_PASSWORD="${GRAPHENE_MARIADB_USER_PASSWORD:-$(uuidgen)}"

export GRAPHENE_MARIADB_DATA_PV_NAME="${GRAPHENE_MARIADB_DATA_PV_NAME:-mariadb-data}"
export GRAPHENE_MARIADB_DATA_PVC_NAME="${GRAPHENE_MARIADB_DATA_PVC_NAME:-mariadb-data}"
export GRAPHENE_MARIADB_DATA_PV_SIZE="${GRAPHENE_MARIADB_DATA_PV_SIZE:-5Gi}"
export GRAPHENE_MARIADB_DATA_PV_CLASSNAME="${GRAPHENE_MARIADB_DATA_PV_CLASSNAME:-$GRAPHENE_10GI_STORAGECLASSNAME}"
export GRAPHENE_MARIADB_PORT="${GRAPHENE_MARIADB_PORT:-3306}"
export GRAPHENE_MARIADB_NODEPORT="${GRAPHENE_MARIADB_NODEPORT:-}"
export GRAPHENE_MARIADB_ADMINER_PORT="${GRAPHENE_MARIADB_ADMINER_PORT:-3080}"
export GRAPHENE_MARIADB_RUNASUSER="${GRAPHENE_MARIADB_RUNASUSER:-}"

cat <<EOF >mariadb_env.sh
export GRAPHENE_MARIADB_NAMESPACE=$GRAPHENE_MARIADB_NAMESPACE
export GRAPHENE_MARIADB_DOMAIN=$GRAPHENE_MARIADB_DOMAIN
export GRAPHENE_MARIADB_HOST=$GRAPHENE_MARIADB_HOST
export GRAPHENE_MARIADB_HOST_IP=$GRAPHENE_MARIADB_HOST_IP
export MARIADB_MIRROR=$MARIADB_MIRROR
export GRAPHENE_MARIADB_VERSION=$GRAPHENE_MARIADB_VERSION
export GRAPHENE_MARIADB_ADMIN_HOST=$GRAPHENE_MARIADB_ADMIN_HOST
export GRAPHENE_MARIADB_ROOT_ACCESS=$GRAPHENE_MARIADB_ROOT_ACCESS
export GRAPHENE_MARIADB_PASSWORD=$GRAPHENE_MARIADB_PASSWORD
export GRAPHENE_MARIADB_USER=$GRAPHENE_MARIADB_USER
export GRAPHENE_MARIADB_USER_PASSWORD=$GRAPHENE_MARIADB_USER_PASSWORD
export GRAPHENE_MARIADB_DATA_PV_NAME=$GRAPHENE_MARIADB_DATA_PV_NAME
export GRAPHENE_MARIADB_DATA_PVC_NAME=$GRAPHENE_MARIADB_DATA_PVC_NAME
export GRAPHENE_MARIADB_DATA_PV_SIZE=$GRAPHENE_MARIADB_DATA_PV_SIZE
export GRAPHENE_MARIADB_DATA_PV_CLASSNAME=$GRAPHENE_MARIADB_DATA_PV_CLASSNAME
export GRAPHENE_MARIADB_PORT=$GRAPHENE_MARIADB_PORT
export GRAPHENE_MARIADB_NODEPORT=$GRAPHENE_MARIADB_NODEPORT
export GRAPHENE_MARIADB_ADMINER_PORT=$GRAPHENE_MARIADB_ADMINER_PORT
export GRAPHENE_MARIADB_RUNASUSER=$GRAPHENE_MARIADB_RUNASUSER
EOF

cat mariadb_env.sh
